%define upstream_name    HTML-FormFu
%define upstream_version 0.09010

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    HTML Form Management Framework for Perl
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/HTML/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(CGI) >= 3.370.0
BuildRequires: perl(Captcha::reCAPTCHA) >= 0.930.0
BuildRequires: perl(Carp)
BuildRequires: perl(Class::Accessor::Chained::Fast)
BuildRequires: perl(Class::MOP::Method)
BuildRequires: perl(Clone) >= 0.310.0
BuildRequires: perl(Config::Any) >= 0.180.0
BuildRequires: perl(Crypt::CBC)
BuildRequires: perl(Crypt::DES)
BuildRequires: perl(Cwd)
BuildRequires: perl(Data::Visitor) >= 0.260.0
BuildRequires: perl(Data::Visitor::Callback)
BuildRequires: perl(Date::Calc)
BuildRequires: perl(DateTime) >= 0.540.0
BuildRequires: perl(DateTime::Format::Builder) >= 0.790.100
BuildRequires: perl(DateTime::Format::Natural)
BuildRequires: perl(DateTime::Format::Strptime)
BuildRequires: perl(DateTime::Locale) >= 0.450.0
BuildRequires: perl(Email::Valid)
BuildRequires: perl(Encode)
BuildRequires: perl(Exporter) >= 5.570.0
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.590.0
BuildRequires: perl(Fatal)
BuildRequires: perl(File::Copy)
BuildRequires: perl(File::Find)
BuildRequires: perl(File::ShareDir)
BuildRequires: perl(File::Spec)
BuildRequires: perl(File::Temp)
BuildRequires: perl(HTML::Scrubber)
BuildRequires: perl(HTML::TokeParser::Simple) >= 3.140.0
BuildRequires: perl(HTTP::Headers) >= 1.640.0
BuildRequires: perl(Hash::Flatten)
BuildRequires: perl(IO::File)
BuildRequires: perl(List::MoreUtils)
BuildRequires: perl(List::Util)
BuildRequires: perl(Locale::Maketext)
BuildRequires: perl(Module::Pluggable)
BuildRequires: perl(Moose) >= 1.0.0
BuildRequires: perl(Moose::Role)
BuildRequires: perl(Moose::Util)
BuildRequires: perl(MooseX::Aliases)
BuildRequires: perl(MooseX::Attribute::Chained)
BuildRequires: perl(MooseX::SetOnce)
BuildRequires: perl(Number::Format)
BuildRequires: perl(POSIX)
BuildRequires: perl(Path::Class::File)
BuildRequires: perl(Readonly)
BuildRequires: perl(Regexp::Common)
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Storable)
BuildRequires: perl(Task::Weaken)
BuildRequires: perl(Template)
BuildRequires: perl(Test::Exception)
BuildRequires: perl(Test::More) >= 0.920.0
BuildRequires: perl(YAML::XS) >= 0.320.0
BuildArch:  noarch

%description
HTML::FormFu is a HTML form framework which aims to be as easy
as possible to use for basic web forms, but with the power and flexibility
to do anything else you might want to do (as long as it involves forms).

You can configure almost any part of formfu's behaviour and output. By
default formfu renders "XHTML 1.0 Strict" compliant markup, with as little
extra markup as possible, but with sufficient CSS class names to allow for
a wide-range of output styles to be generated by changing only the CSS.

All methods listed below (except the /new manpage) can either be called as
a normal method on your '$form' object, or as an option in your config
file. Examples will mainly be shown in the YAML manpage config syntax.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make

%check
make test

%install
%makeinstall_std

%files
%doc Changes META.yml MYMETA.yml README examples
%{_bindir}/*
%{_mandir}/man*/*
%perl_vendorlib/*

%changelog

* Sun Jan 13 2013 umeabot <umeabot> 0.90.100-2.mga3
+ Revision: 368002
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Oct 15 2012 jquelin <jquelin> 0.90.100-1.mga3
+ Revision: 306135
- update to 0.09010

* Mon Oct 01 2012 jquelin <jquelin> 0.90.90-1.mga3
+ Revision: 301282
- update to 0.09009

* Thu Jan 26 2012 jquelin <jquelin> 0.90.70-1.mga2
+ Revision: 201939
- update files in %%doc
- update to 0.09007

* Mon Sep 26 2011 jquelin <jquelin> 0.90.50-1.mga2
+ Revision: 148141
- update to 0.09005

* Tue Aug 30 2011 tv <tv> 0.90.40-1.mga2
+ Revision: 136415
- do not own standard directories

  + jquelin <jquelin>
    - update to 0.09004

* Wed Jun 15 2011 jquelin <jquelin> 0.90.30-1.mga2
+ Revision: 106976
- update to 0.09003

* Sun Apr 03 2011 jquelin <jquelin> 0.90.20-1.mga1
+ Revision: 80100
- update to 0.09002

* Wed Jan 26 2011 jquelin <jquelin> 0.80.20-1.mga1
+ Revision: 40121
- update %%files
- mageia rebuild
- imported package perl-HTML-FormFu

